/*
kalcom.c
*/

#include <hwim.h>
#include <dat.g>
#include <dat.rsg>

GLREF_D PR_WSERV * const w_ws;

LOCAL_C INT LaunchDial(VOID *buf,INT id,INT class)
    {
    DL_DATA dl_data;

    dl_data.id=id;
    dl_data.rbuf=buf;
    dl_data.pdlg=NULL;
    return(p_send5(w_ws,O_WS_DO_DIAL,p_getlibh(CAT_DAT_DAT),class,&dl_data));
    }

#pragma METHOD_CALL

METHOD VOID datcom_com_date(PR_DATCOM *self)
    {
    LaunchDial(NULL,DATE_DL_RES,C_DATEDLG);
    }

